# PiP: Planning-informed Trajectory Prediction for Autonomous Driving

Code for PiP model implemented by PyTorch 1.1.0

## Main Dependencies
- torch >= 1.1.0
- torchvision >= 0.3.0
- numpy >= 1.16.0
- scipy >= 1.3.0
- matplotlib >= 3.0.3
- h5py >= 2.10.0 (For loading dataset files with version of .mat 7.3)


## Documentation
- model.py : It contains the concrete details of the proposed PiP architecture. 

- train.py : It contains the detailed approach for training PiP model. 
All the network parameters are provided by the default values.

- evaluate.py : It contains the approach for evaluating a trained model. 
The predictive precision is reported by RMSE and NLL values at future time frames. 

- utils.py : It contains the customized dataset class for handling and batching trajectory data. 
And some other helper functions for retrieving information from pre-processed dataset.